Bug 1286367 (getdp) - Review Request: getdp - General Environment for the Treatment of Discrete Problems
Summary: Review Request: getdp - General Environment for the Treatment of Discrete Pro...
Keywords:
Status: CLOSED ERRATA
Alias: getdp
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-11-28 16:39 UTC by Igor Gnatenko
Modified: 2015-12-09 20:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-09 20:50:47 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-28 16:39:36 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/getdp.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/getdp-2.7.0-1.fc24.src.rpm
Description:
GetDP is an open source finite element solver using mixed elements to
discretize de Rham-type complexes in one, two and three dimensions. The main
feature of GetDP is the closeness between the input data defining discrete
problems (written by the user in ASCII data files) and the symbolic mathematical
expressions of these problems.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-29 16:09:15 UTC
- You should also use %license for CREDITS.txt. It lists the copyrights.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
Yes. ProParser.tab.* is GPLv3+, but it also has the bison exception. So GPLv2+ seems correct.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "MIT/X11 (BSD like)", "GPL (v2)", "GPL (v3 or
     later)", "Unknown or generated". 222 files have unknown license.
     Detailed output of licensecheck in
     /var/tmp/1286367-getdp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in getdp-
     debuginfo
-devel has a version requirement on the main package. More should not be needed.

[x]: Package functions as described.
The binary runs... I didn't check anything more.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: getdp-2.7.0-1.fc24.i686.rpm
          getdp-devel-2.7.0-1.fc24.i686.rpm
          getdp-debuginfo-2.7.0-1.fc24.i686.rpm
          getdp-2.7.0-1.fc24.src.rpm
getdp.i686: W: spelling-error %description -l en_US discretize -> discretion, discrete, discreet
getdp.i686: W: spelling-error %description -l en_US de -> DE, ed, d
getdp.i686: W: shared-lib-calls-exit /usr/lib/libGetDP.so.2.7.0 exit@GLIBC_2.0
getdp-devel.i686: W: wrong-file-end-of-line-encoding /usr/share/doc/getdp-devel/demos/BH.pro
getdp.src: W: spelling-error %description -l en_US discretize -> discretion, discrete, discreet
getdp.src: W: spelling-error %description -l en_US de -> DE, ed, d
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

All OK.

Requires
--------
getdp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGetDP.so.2.7
    libGmsh.so.2.11
    libarpack.so.2
    libblas.so.3
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcc_s.so.1(GCC_4.0.0)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libgomp.so.1
    libgomp.so.1(OMP_1.0)
    libgsl.so.0
    libgslcblas.so.0
    liblapack.so.3
    libm.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    libquadmath.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

getdp-devel (rpmlib, GLIBC filtered):
    getdp(x86-32)
    libGetDP.so.2.7

getdp-debuginfo (rpmlib, GLIBC filtered):

Provides
--------
getdp:
    getdp
    getdp(x86-32)
    libGetDP.so.2.7

getdp-devel:
    getdp-devel
    getdp-devel(x86-32)

getdp-debuginfo:
    getdp-debuginfo
    getdp-debuginfo(x86-32)


Everything is fine, except for the minor issue listed at the top. Package is APPROVED.

Comment 2 Till Maas 2015-11-29 16:30:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/getdp

Comment 3 Fedora Update System 2015-11-29 17:13:41 UTC
getdp-2.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c1552878af

Comment 4 Fedora Update System 2015-11-29 23:52:13 UTC
getdp-2.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update getdp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c1552878af

Comment 5 Fedora Update System 2015-12-09 20:50:45 UTC
getdp-2.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.